/* ==============< Default Part Starts >=============== */
@import url('https://fonts.googleapis.com/css?family=Muli:200,300,400,600,700,800,900');
body{
    font-family: 'Muli', sans-serif;
    height: 1000px;
}
table{
    margin-bottom: 0px !important;
}
.btn-block+.btn-block{
    margin-top: 0;
}
/* ===============< Default Part Ends >================ */


/* ==============< Navbar Part Starts >=============== */
header.bg_f8f.fire_header4.header_common{
    background-color: transparent;
    border-bottom: 0px solid transparent;
}
.navbar-brand img{
    max-width: 70px;
    /* max-width: 30px; */
}
.fire_header4 .navbar-nav>li:first-child>a{
    border-left: 0px solid #ffffff;
}

.header_common .navbar-nav li a{
    color: #ffffff;
    transition: 0.5s all ease-in-out;
}
.header_common .navbar-nav li a.dropdown-item{
    color: #000000;
}
.header_common .navbar-nav li a:hover{
    color: #FEC62B;
}
.header_common .dropdown>ul a:hover{
    background-color: #FEC62B;
    color: #000000 !important;
}
.header_common .dropdown>ul {
    background: #fff;
    left: 0px;
    padding: 0px;
    border: 0px solid;
}
.header_common .dropdown>ul::before {
    border-left: 1px solid #ffffff;
    border-top: 1px solid #ffffff;
}
.navbar{
    transition: 0.5s all ease-in-out;
}
.navbar.background{
    background-color: #ffffff;
    -webkit-box-shadow: 0px 2px 35px -8px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0px 2px 35px -8px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 2px 35px -8px rgba(0, 0, 0, 0.1);
    transition: 0.5s all ease-in-out;
}
.navbar.background .navbar-nav li a{
    color: #000000;
    transition: 0.5s all ease-in-out;
}
.navbar-nav.m-auto{
    padding-left: 90px !important;
}
/* ===============< Navbar Part Ends >================ */


/* ==============< Carousel Part Starts >=============== */
.carousel-part{
    height: 400px;
    background-image: url('../images/carousel.jpg');
    background-size: cover;
    background-attachment: fixed;
}
.overlay{
    background-color: #00000093;
    height: 400px;
}
.content h1.heading{
    font-weight: 700;
    color: #fff;
}
/* ===============< Carousel Part Ends >================ */


/* ==============< Opening Hour Part Starts >=============== */
.opening-hr-div {
    background: #fff;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0px 0px 30px -3px rgba(0, 0, 0, 0.1);
    position: relative;
    /* position: absolute; */
    top: -30px;
    width: 100%;
}
.opening-hr-div p.open-hr{
    font-size: 16px;
    line-height: 28px;
    color: #666;
    font-weight: 700;
}
/* ===============< Opening Hour Part Ends >================ */


/* ==============< Search Part Starts >=============== */
.search-part{
    padding-top: 70px;
    padding-bottom: 70px;
}
.searchbar {
    margin-bottom: auto;
    margin-top: auto;
    height: 50px;
    border: 1px solid #efefef;
    background-color: #ffffff;
    border-radius: 30px;
    padding: 5px 10px;
    width: 80%;
}


.search_input {
    color: #000000;
    border: 0;
    outline: 0;
    background: none;
    width: 0;
    caret-color: transparent;
    line-height: 40px;
    transition: width 0.4s linear;
}

.searchbar .search_input {
    padding: 0 10px;
    width: 93%;
    caret-color: #000000;
    transition: width 0.4s linear;
}

.searchbar .search_icon {
    background: white;
    color: #efefef;
    margin-top: -1px;
    margin-right: -5px;
}
.searchbar:hover .search_icon {
    background: #FEC62B;
    color: #ffffff;
}
input.search_input:focus .searchbar {
    border: 1px solid red;
}

.search_icon {
    height: 40px;
    width: 40px;
    float: right;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    /* color: white; */
}
/* ===============< Search Part Ends >================ */


/* ==============< Order Part Starts >=============== */
.order-part{
    height: 85vh;
}
.order-part .categories-part .categories{
    margin-top: 20px;
    background-color: #fdfdfd;
    border-radius: 10px;
    min-height: 70vh;
    max-height: 75vh;
    overflow-y: scroll;
}
.categories::-webkit-scrollbar {
    width: 0 !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}
.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active{
    border: 1px solid transparent;
    background-color: #FEC62B;
    color: #fff;
}
.nav-tabs .nav-link:focus, .nav-tabs .nav-link:hover{
    border: 1px solid transparent;
}
li a.nav-item {
    font-weight: 600;
    color: #666666;
    padding-left: 30px;
    padding: 0.8rem 1rem;
}
.nav{
    border-bottom: 0px solid transparent;
}
.nav.nav-tabs li{
    border-bottom: 1px solid #f2f2f2;
}


tr.category-devider {
    background: #fec62b;
    font-size: 20px;
    font-weight: 800;
    color: #ffffff;
}
.order-part .menus-part{
    border-radius: 5px;
    box-shadow: 0px 0px 30px -3px rgba(0, 0, 0, 0.1);
}
.order-part .menus-part .menus{
    margin-top: 55px;
    /* min-height: 100%; */
    max-height: 85vh;
    overflow-y: scroll;
    scroll-behavior: smooth;
    border-radius: 5px;
}
.menus::-webkit-scrollbar {
    width: 0 !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}

.tab-content tr{
    transition: 0.3s all ease-in-out;
}
.tab-content tr:hover{
    /* box-shadow: 0px 0px 30px -3px rgba(0, 0, 0, 0.1); */
    box-shadow: 0px 0px 30px -7px rgba(0, 0, 0, 0.1);
    transition: 0.3s all ease-in-out;
}

td.sl-td {
    padding-top: 23px;
}
.sl-no {
    height: 60px;
    width: 60px;
    text-align: center;
    padding-top: 15px;
    border: 1px solid #FEC62B;
    color: #666666;
    border-radius: 50%;
    font-weight: 600;
    transition: 0.3s all ease-in-out;
}
.tab-content tr:hover .sl-no{
    background-color: #FEC62B;
    color: #fff;
    transition: 0.3s all ease-in-out;
}

.food-info .food-name{
    color: #333333;
    font-weight: 700;
    transition: 0.3s all ease-in-out;
}
.food-name:hover {
    color: #FEC62B;
    transition: 0.3s all ease-in-out;
}
.food-info .info{
    padding-top: 10px;
    font-size: 14px;
    font-weight: 500;
    line-height: 1.7em;
    color: #8d8d8d;
}

td.price-td {
    padding-top: 35px;
}
.price h4{
    font-size: 20px;
    color: #666;
    font-weight: 600;
}

td.add-cart-td {
    padding-top: 23px;
}
.add-cart-btn .btn-cart {
    height: 60px;
    width: 60px;
    border-radius: 50%;
    border-color: #999;
    padding: 17px;
    color: #FEC62B;
}
.add-cart-btn .btn-cart:active,
.add-cart-btn .btn-cart:hover,
.add-cart-btn .btn-cart:focus,
.add-cart-btn .btn-cart.btn-outline-dark:not(:disabled):not(.disabled).active,
.add-cart-btn .btn-cart.btn-outline-dark:not(:disabled):not(.disabled):active,
.show>.add-cart-btn .btn-cart.btn-outline-dark.dropdown-toggle {
    background-color: #FEC62B;
    border:1px solid#FEC62B;
    color: #ffffff;
    outline: none !important;
    box-shadow: none !important;
}

.cart-items tr{
    border-bottom: 1px solid #efefef;
}
.cart-part .cart-info{
    min-height: 100%;
    max-height: 75vh;
    margin-top: 20px;
    padding-bottom: 20px;
    border-radius: 10px;
    overflow-y: scroll;
    overflow-x: hidden;
    background-color: #fdfdfd;
    box-shadow: 0px 0px 30px -7px rgba(0, 0, 0, 0.2);
}
.cart-part .cart-info::-webkit-scrollbar {
    width: 0 !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}

.total-item-td{
    padding-right: 0px !important;
}
.total-item-td .total-item{
    font-size: 10px;
    font-weight: 700;
    background-color: #FEC62B;
    height: 23px;
    width: 23px;
    margin-top: 2px;
    border-radius: 50%;
    padding-top: 0px;
    text-align: center;
    color: #fff;
}

.food-name-td .food-name{
    font-size: 13px;
    font-weight: 600;
}

.cart-price-td .cart-price h6{
    font-size: 13px;
    font-weight: 600;
    padding-top: 3px;
}

.btn-remove-cart {
    padding: 0.2em;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    font-size: 10px;
    border-color: #ccc;
    color: #aaa;
}
.btn-remove-cart:active,
.btn-remove-cart:hover,
.btn-remove-cart:focus,
.btn-remove-cart.btn-outline-dark:not(:disabled):not(.disabled).active,
.btn-remove-cart.btn-outline-dark:not(:disabled):not(.disabled):active,
.show>.btn-remove-cart.btn-outline-dark.dropdown-toggle {
    background-color: rgb(247, 43, 43);
    border:1px solid rgb(247, 43, 43);
    color: #ffffff;
    outline: none !important;
    box-shadow: none !important;
}

.coupon-input-td {
    padding-right: 0px !important;
}
.coupon-input {
    font-weight: 600;
    border: 1px solid #efefef;
    border-radius: 30px 0px 0px 30px;
    transition: 0.3s all ease-in-out;
    border-right-color: #FEC62B;
}
.coupon-input:focus,
.coupon-input:active {
    box-shadow: none !important;
    outline: none !important;
    border: 1px solid #FEC62B;
    transition: 0.5s all ease-in-out;
}
.coupon-btn-td{
    padding-left: 0px !important;
}
.btn-coupon{
    border-radius: 0 30px 30px 0;
    background-color: #FEC62B;
    border: 1px solid #FEC62B;
    color: #ffffff;
}
.btn-coupon:hover,
.btn-coupon:focus,
.btn-coupon:active,
.btn-coupon:not(:disabled):not(.disabled).active,
.btn-coupon:not(:disabled):not(.disabled):active,
.show>.btn-coupon.dropdown-toggle{
    background-color: #FEC62B;
    border: 1px solid #FEC62B;
    box-shadow: none !important;
    outline: none !important;
    transition: 0.3s all ease-in-out;
}

.date-input {
    border-radius: 30px;
    border: 1px solid #efefef;
}
.date-input:focus,
.date-input:active {
    box-shadow: none !important;
    outline: none !important;
    border: 1px solid #FEC62B;
}

td.bootstrapDatepickr-day.day_id-datePick{
    padding: 5px !important;
}
.bootstrapDatepickr-selected_date{
    color: #fff;
    background-color: #FEC62B;
    border-color: #FEC62B;
}
.bootstrapDatepickr-today {
    color: #FEC62B;
    background-color: transparent;
    border: 1px solid #FEC62B !important;
    transition: 0.3s all ease-in-out;
}
.bootstrapDatepickr-day:hover,
.bootstrapDatepickr-next-month:hover,
.bootstrapDatepickr-prev-month:hover{
    color: #fff;
    background-color: #FEC62B;
    border-color: #FEC62B;
    transition: 0.3s all ease-in-out;
}

.time-tr .nice-select{
    width: 100%;
    border-radius: 30px;
    height: calc(1.5em + .5rem + 2px);
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 1.5;
    font-weight: 600;
    border: 1px solid #efefef;
    padding-left: 10px;
    padding-top: 5px;
}
.time-tr .nice-select.open .list{
    width: 100%;
    max-height: 160px;
    overflow-y: scroll;
}
.time-tr .nice-select.open .list::-webkit-scrollbar {
    width: 0 !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}
.time-tr .nice-select .option:hover{
    background-color: #FEC62B;
    border-color: #FEC62B;
}
.time-input {
    border-radius: 30px;
}
.time-input:focus,
.time-input:active {
    box-shadow: none !important;
    outline: none !important;
    border: 1px solid #FEC62B;
}


.food-receive .form-check,
.food-payment .form-check{
    display: inline-grid;
}
.food-receive label.form-check-label.pickup {
    padding-left: 10px;
}
.food-receive label.form-check-label.delivery {
    padding-left: 20px;
}
.food-receive .form-check-input{
    margin-top: 0.45rem;
}

.food-payment{
    padding-top: 10px;
    padding-bottom: 10px;
}
.food-payment .form-check-input {
    margin-top: 0.45rem;
    margin-left: -1.4rem;
}
.food-payment .form-check-input#digital {
    margin-left: -0.9rem;
}
.food-payment label.form-check-label.cashon {
    padding-left: 10px;
}
.food-payment label.form-check-label.digital {
    padding-left: 20px;
}
.digital-payment{
    display: none;
}

.card-number{
    padding: 12px;
    padding-bottom: 6px;
}
.card-cvc{
    padding: 12px;
    padding-top: 6px;
}
.card-no-input {
    border-radius: 30px;
    width: 100%;
    border: 1px solid #efefef;
}
.card-no-input:focus,
.card-no-input:active {
    box-shadow: none !important;
    outline: none !important;
    border: 1px solid #FEC62B;
}

.confirm-btn{
    margin-top: 20px;
}
.confirm-btn .btn-confirm{
    border-radius: 30px;
    font-weight: 900;
    font-size: 14px;
    background-color: #FEC62B;
    border-color: #FEC62B;
    transition: 0.3s all ease-in-out;
}
.confirm-btn .btn-confirm:hover{
    box-shadow: 0px 0px 30px -3px rgba(0, 0, 0, 0.15);
    transition: 0.3s all ease-in-out;
}
.confirm-btn .btn-confirm:focus,
.confirm-btn .btn-confirm:active,
.confirm-btn .btn-confirm:not(:disabled):not(.disabled).active,
.confirm-btn .btn-confirm:not(:disabled):not(.disabled):active,
.show>.confirm-btn .btn-confirm.dropdown-toggle{
    background-color: #FEC62B;
    border: 1px solid #FEC62B;
    box-shadow: none !important;
    outline: none !important;
    transition: 0.3s all ease-in-out;
}
.confirm-btn .btn-confirm.disabled,
.confirm-btn .btn-confirm.disabled:hover,
.confirm-btn .btn-confirm.disabled:focus,
.confirm-btn .btn-confirm.disabled:active,
.confirm-btn .btn-confirm:disabled{
    background-color: #dddddd;
    border: 1px solid #dddddd;
    color: #333333;
    box-shadow: none;
    cursor: not-allowed;
}
/* ===============< Order Part Ends >================ */


/* ==============< Modal Part Starts >=============== */
.custom-modal .modal-dialog {
    max-width: 45%;
    margin: 5rem auto;
}
.custom-modal .modal-content{
    border: 0px solid #ffffff;
}
.custom-modal .modal-content .modal-header{
    border-bottom: 1px solid #efefef;
    padding: 30px 30px;
}
.custom-modal .modal-content .modal-body{
    padding: 30px 30px;
}
.custom-modal .modal-content .modal-header h6{
    font-weight: 600;
    font-size: 14px;
}
.btn-modal-close{
    margin-left: 25px;
    margin-top: -2px;
    padding: 1px 6px 0px 6px;
    border-radius: 30px;
    background-color: #ffffff;
    border: 1px solid #efefef;
    color: #666;
}
.btn-modal-close:hover,
.btn-modal-close:focus,
.btn-modal-close:active,
.btn-modal-close:not(:disabled):not(.disabled).active,
.btn-modal-close:not(:disabled):not(.disabled):active,
.show>.btn-modal-close.dropdown-toggle{
    background-color: #FEC62B;
    border: 1px solid #FEC62B;
    box-shadow: none !important;
    outline: none !important;
    transition: 0.3s all ease-in-out;
}
.custom-modal .modal-content .modal-body .sl-no{
    background-color: #FEC62B;
    color: #ffffff;
    font-weight: 600;
    box-shadow: 0px 0px 30px -3px rgba(0, 0, 0, 0.15);
}

.order-food-details .food-details{
    padding-bottom: 20px;
    font-size: 14px;
    font-weight: 600;
    color: #777777;
}


.order-food-details .form-control{
    margin-bottom: 15px;
}
.order-food-details .form-control:focus{
    box-shadow: none !important;
    outline: none !important;
    border: 1px solid #FEC62B;
}
.quantity {
    position: relative;
  }

  input[type=number]::-webkit-inner-spin-button,
  input[type=number]::-webkit-outer-spin-button
  {
    -webkit-appearance: none;
    margin: 0;
  }

  input[type=number]
  {
    -moz-appearance: textfield;
  }

  .quantity input {
    width: 100%;
    height: calc(1.5em + .5rem + 10px);
    line-height: 1.65;
    float: left;
    display: block;
    padding: 0;
    margin: 0;
    padding-left: 20px;
    border: 1px solid #eee;
  }

  .quantity input:focus {
    outline: 0;
  }

  .quantity-nav {
    float: left;
    position: relative;
    height: 42px;
  }

  .quantity-button {
    position: relative;
    cursor: pointer;
    border-left: 1px solid #eee;
    width: 20px;
    text-align: center;
    color: #333;
    font-size: 13px;
    font-family: "Trebuchet MS", Helvetica, sans-serif !important;
    line-height: 1.7;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
  }

  .quantity-button.quantity-up {
    position: absolute;
    height: 50%;
    top: 0;
    border-bottom: 1px solid #eee;
    transition: 0.3s all ease-in-out;
  }

  .quantity-button.quantity-down {
    position: absolute;
    bottom: 1px;
    height: 50%;
    transition: 0.3s all ease-in-out;
  }
  .quantity-button.quantity-up:hover,
  .quantity-button.quantity-down:hover{
    background-color: #FEC62B;
    color: #ffffff;
    transition: 0.3s all ease-in-out;
  }

/* Nice Select Style */
/* .order-food-details .nice-select{
    float: unset;
}
.order-food-details .nice-select{
    color: #777777;
    width: 100%;
    border-radius: 5px;
    height: calc(1.5em + .5rem + 7px);
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 1.8;
    font-weight: 600;
    border: 1px solid #efefef;
    padding-left: 10px;
    padding-top: 5px;
}
.order-food-details .nice-select.open .list{
    width: 100%;
    max-height: 160px;
    overflow-y: scroll;
}
.order-food-details .nice-select.open .list::-webkit-scrollbar {
    width: 0 !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}
.order-food-details .nice-select .option:hover{
    background-color: #FEC62B;
    border-color: #FEC62B;
}
.nice-select .option.selected{
    font-weight: 900;
}

.order-food-details .note-input{
    color: #777777;
    border: 1px solid #efefef;
    font-size: 14px;
    font-weight: 600;
    transition: 0.3s all ease-in-out;
}
.order-food-details .note-input:focus{
    transition: 0.3s all ease-in-out;
} */

.order-confirmation{
    margin-top: 15px;
}
.btn-add-to-cart{
    border-radius: 50px;
    font-weight: 900;
    font-size: 14px;
    padding: 10px 50px;
    color: #ffffff;
    background-color: #FEC62B;
    border-color: #FEC62B;
    transition: 0.3s all ease-in-out;
}
.btn-add-to-cart:hover{
    background-color: #FEC62B;
    border-color: #FEC62B;
    box-shadow: 0px 0px 30px -3px rgba(0, 0, 0, 0.15);
    transition: 0.3s all ease-in-out;
}
.btn-add-to-cart:focus,
.btn-add-to-cart:active,
.btn-add-to-cart:not(:disabled):not(.disabled).active,
.btn-add-to-cart:not(:disabled):not(.disabled):active,
.show>.btn-add-to-cart.dropdown-toggle{
    background-color: #FEC62B;
    border: 1px solid #FEC62B;
    box-shadow: none !important;
    outline: none !important;
    transition: 0.3s all ease-in-out;
}

/* Multiple select */
.bootstrap-select .btn-light,
.bootstrap-select > .dropdown-toggle.bs-placeholder,
.bootstrap-select > .dropdown-toggle.bs-placeholder:focus{
    color: #777777 !important;
    background-color: #ffffff !important;
    border: 1px solid #efefef !important;
    border-radius: 5px;
    height: calc(1.5em + .5rem + 13px);
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 2.4;
    font-weight: 600;
}
.bootstrap-select .btn-light:focus,
.bootstrap-select .btn-light:active,
.bootstrap-select .btn-light:not(:disabled):not(.disabled).active,
.bootstrap-select .btn-light:not(:disabled):not(.disabled):active,
.show>.btn-light.dropdown-toggle{
    background-color: #ffffff !important;
    border-color: #FEC62B !important;
    box-shadow: none !important;
    outline: none !important;
}
.bootstrap-select .dropdown-toggle::after{
    border-bottom: 2px solid #999;
    border-right: 2px solid #999;
    border-top: 0px solid;
    border-left: 0px solid;
    content: '';
    display: block;
    height: 8px;
    margin-top: -4px;
    pointer-events: none;
    position: absolute;
    right: 20px;
    top: 50%;
    -webkit-transform-origin: 66% 66%;
    -ms-transform-origin: 66% 66%;
    transform-origin: 66% 66%;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    -webkit-transition: all 0.15s ease-in-out;
    transition: all 0.15s ease-in-out;
    width: 8px;
}
.bootstrap-select.show .dropdown-toggle::after {
    -webkit-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
    transform: rotate(-135deg);
}
.bootstrap-select .dropdown-item.active, .bootstrap-select .dropdown-item:active {
    background-color: #FEC62B;
}


.custom-checkbox .custom-control-indicator {
    content: "";
    display: inline-block;
    position: relative;
    width: 30px;
    height: 10px;
    background-color: #818181;
    border-radius: 15px;
    margin-right: 10px;
    -webkit-transition: background .3s ease;
    transition: background .3s ease;
    vertical-align: middle;
    margin: 0 16px;
    box-shadow: none;
}

.custom-checkbox .custom-control-indicator:after {
    content: "";
    position: absolute;
    display: inline-block;
    width: 18px;
    height: 18px;
    background-color: #f1f1f1;
    border-radius: 21px;
    box-shadow: 0 1px 3px 1px rgba(0, 0, 0, 0.4);
    left: -2px;
    top: -4px;
    -webkit-transition: left .3s ease, background .3s ease, box-shadow .1s ease;
    transition: left .3s ease, background .3s ease, box-shadow .1s ease;
}

.custom-checkbox .custom-control-input:checked ~ .custom-control-indicator {
    background-color: #FEC62B;
    background-image: none;
    box-shadow: none !important;
}

.custom-checkbox .custom-control-input:checked ~ .custom-control-indicator:after {
    background-color: #FEC62Bed;
    left: 15px;
}

.custom-checkbox .custom-control-input:focus ~ .custom-control-indicator {
    box-shadow: none !important;
}

tr.extra-item-header{
    border-bottom: 1px solid #efefef;
}
td.select-or-not,
td.modal-food-name-td,
td.modal-cart-price-td{
    padding-top: 20px;
}
.select-or-not .custom-control{
    padding-left: 0;
}
td.modal-food-name-td h6,
td.modal-cart-price-td h6 {
    font-size: 14px;
    font-weight: 600;
    color: #333333;
}
.modal-quantity-cart-td .quantity input{
    padding-left: 10px;
    margin-bottom: 0;
}

/* ===============< Modal Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */


/* ==============< Part Starts >=============== */

/* ===============< Part Ends >================ */
